Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019810
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-02-20 10:392012-03-02 15:38
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc3105cd9c9c4
ProjectionnoneETAnoneTarget Version3.0MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019810: ViewComponent memory leak

DescriptionWhenever a window in opened and the request reaches the backend (it is not cached in client), a new instance of ViewComponent class is created and it is never cleaned up from memory.

This causes heap memory usage to rapidly increase as ViewComponent instances can be heavy (up to 4MB).

Attached you can see graphs of part of a heap dump suffering this issue.
Steps To Reproduce-Execute the attached script that does 25 calls to backed for new windows.
-Check heap increases with as many ViewComponent instances as opened windows.
TagsNo tags attached.
Attached Filespng file icon Selection_031.png [^] (37,363 bytes) 2012-02-20 10:39


png file icon Selection_032.png [^] (150,567 bytes) 2012-02-20 10:40


html file icon test.html [^] (1,073 bytes) 2012-02-20 10:40

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0045258)
hgbot (developer)
2012-02-20 10:42

Repository: erp/devel/pi
Changeset: c3105cd9c9c4ebd834baceababedddf88de4fdb2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Feb 20 10:42:20 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c3105cd9c9c4ebd834baceababedddf88de4fdb2 [^]

fixed bug 19810: ViewComponent memory leak

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ViewComponent.java
---
(0045259)
alostale (developer)
2012-02-20 10:44

The fix for this issue makes changes scope of ViewComponent from default to RequestScope. It is riskless as ViewComponent instances are never reused, in this way Weld is aware the instance is not needed to be kept in memory.

Test plan:
-Execute the test defined in the steps to reproduce and check there are no ViewComponent instances within memory.
(0045890)
hudsonbot (developer)
2012-03-02 15:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-20 10:39 alostale New Issue
2012-02-20 10:39 alostale Assigned To => alostale
2012-02-20 10:39 alostale Modules => Core
2012-02-20 10:39 alostale File Added: Selection_031.png
2012-02-20 10:40 alostale File Added: Selection_032.png
2012-02-20 10:40 alostale File Added: test.html
2012-02-20 10:42 hgbot Checkin
2012-02-20 10:42 hgbot Note Added: 0045258
2012-02-20 10:42 hgbot Status new => resolved
2012-02-20 10:42 hgbot Resolution open => fixed
2012-02-20 10:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c3105cd9c9c4ebd834baceababedddf88de4fdb2 [^]
2012-02-20 10:44 alostale Note Added: 0045259
2012-02-21 17:24 marvintm Status resolved => closed
2012-03-02 15:38 hudsonbot Checkin
2012-03-02 15:38 hudsonbot Note Added: 0045890


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker